Package ru.bitel.bgbilling.modules.payonline.server.bean

# Class RebillManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<Rebill>
ru.bitel.bgbilling.modules.payonline.server.bean.RebillManager

All Implemented Interfaces:
  `AutoCloseable`

public class RebillManager extends ru.bitel.common.dao.AbstractDao<Rebill>
Менеджер для работы с автоплатежами.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RebillManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int id)`
  Удаляет автоплатеж по коду.
  `protected Rebill`
  `getFromRS(ResultSet rs)`
  `List<Rebill>`
  `getList(int day, int periodicity)`
  Возвращает список автоплатежей на указанный день и периодичность.
  `Rebill`
  `getTransactionByCid(int contractId)`
  Возвращает автоплатеж по коду договора.
  `Rebill`
  `getTransactionById(int id)`
  Возвращает автоплатеж по его коду.
  `protected void`
  `updateImpl(Rebill rebill)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RebillManager

    public RebillManager(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected Rebill getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Rebill>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(Rebill rebill) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Rebill>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getList

    public List<Rebill> getList(int day, int periodicity)
    Возвращает список автоплатежей на указанный день и периодичность.
    Parameters:
      `day` - - день недели или месяца, зависит от периодичности
      `periodicity` - - периодичность Использовать: Rebill.WEEK_PERIODICITY или Rebill.MONTH_PERIODICITY
    Returns:
      list - список автоплатежей

  - ### getTransactionById

    public Rebill getTransactionById(int id)
    Возвращает автоплатеж по его коду.
    Parameters:
      `id` - - код автосписания
    Returns:
      rebill - автосписание

  - ### getTransactionByCid

    public Rebill getTransactionByCid(int contractId)
    Возвращает автоплатеж по коду договора.
    Parameters:
      `contractId` - - код договора
    Returns:
      rebill - автосписание

  - ### delete

    public void delete(int id) throws Exception
    Удаляет автоплатеж по коду.
    Parameters:
      `id` - - код автоплатежа
    Throws:
      `Exception`